#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("snton.inp");
	long int a;int d=0;
	f1>>a;
	for(int i=2;i*i<=a;i++)
	{
		if(a%i==0)
		d=1;
	}
	ofstream f2("snton.out");
	if(d=1) f2<<"NO";
	if(d=0) f2<<"YES";
	f2.close();
	
}
